Package org.jbpm.services.task.audit.commands

## Class GetAuditEventsCommand

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>
  - - org.jbpm.services.task.audit.commands.GetAuditEventsCommand

- All Implemented Interfaces:
    `Serializable`, `org.kie.api.command.Command<List<org.kie.internal.task.api.model.TaskEvent>>`, `org.kie.api.command.ExecutableCommand<List<org.kie.internal.task.api.model.TaskEvent>>`

      public class GetAuditEventsCommand
      extends TaskCommand<List<org.kie.internal.task.api.model.TaskEvent>>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetAuditEventsCommand()` |
    `GetAuditEventsCommand​(long taskId, org.kie.internal.query.QueryFilter filter)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `List<org.kie.internal.task.api.model.TaskEvent>` | `execute​(org.kie.api.runtime.Context context)` |

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetAuditEventsCommand

          public GetAuditEventsCommand()

    - #### GetAuditEventsCommand

          public GetAuditEventsCommand​(long taskId,
                                       org.kie.internal.query.QueryFilter filter)

  - ### Method Detail

    - #### execute

          public List<org.kie.internal.task.api.model.TaskEvent> execute​(org.kie.api.runtime.Context context)